PrefabFiles = {
	"maci",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/maci.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/maci.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/maci.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/maci.xml" ),

    Asset( "IMAGE", "bigportraits/maci.tex" ),
    Asset( "ATLAS", "bigportraits/maci.xml" ),
	
	Asset( "IMAGE", "images/map_icons/maci.tex" ),
	Asset( "ATLAS", "images/map_icons/maci.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_maci.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_maci.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_maci.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_maci.xml" ),

    	Asset("SOUNDPACKAGE", "sound/maci.fev"),
    Asset("SOUND", "sound/maci_noise.fsb"),

}
RemapSoundEvent( "dontstarve/characters/maci/death_voice", "maci/maci/death_voice" )
RemapSoundEvent( "dontstarve/characters/maci/hurt", "maci/maci/hurt" )
RemapSoundEvent( "dontstarve/characters/maci/talk_LP", "maci/maci/talk_LP" )

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.maci = "Maci."
STRINGS.CHARACTER_NAMES.maci = "Maci"
STRINGS.CHARACTER_DESCRIPTIONS.maci = "*Is her own nightlight.\n*Stat boost from Fish Tacos"
STRINGS.CHARACTER_QUOTES.maci = "\"The only light you'll need.\""

-- Custom speech strings
STRINGS.CHARACTERS.MACI = require "speech_maci"

-- The character's name as appears in-game 
STRINGS.NAMES.MACI = "Maci"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MACI = 
{
	GENERIC = "I think that's, what's her name, Maci?",
	ATTACKER = "Maci sure is creepy...",
	MURDERER = "Maci is a killer!",
	REVIVER = "Maci, ally to the spirits.",
	GHOST = "Maci looks like they could use a heart.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "maci")


AddMinimapAtlas("images/map_icons/maci.xml")
AddModCharacter("maci")

